<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Jquery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>
    <div>
        <button class="btn btn-success mt-4 ml-3" id="btn-insert">Thêm User</button>
        <h3 class="mb-3 mt-3 text-center">Danh sách người dùng đăng ký</h3>
        <table id="table-user" class="table table-bordered table-striped">
            <thead>
                <tr>
                    <th>IdUser</th>
                    <th>FirstName</th>
                    <th>LastName</th>
                    <th>Country</th>
                    <th>Subject</th>
                    <th>Customer Type</th>
                    <th>Register Status</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>

    </div>


</body>


<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "http://203.171.20.210:8080/crud-api/users/";

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {

        goiApiUser();

        $("#table-user").on("click", ".btn-update", onBtnUpdate);
        $("#table-user").on("click", ".btn-delete", onBtnDelete);




    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function goiApiUser() {
        $.ajax({
            url: gBASE_URL,
            type: "GET",
            success: function (res) {
                // console.log(res);
                onLoadDataUser(res);
                console.log(res);

            },
            error: function (error) {
                console.log(error.status);
            },
        });

    }
    function onBtnUpdate() {

        var vIdUser = $(this).data("userid");
        var vName = $(this).data("name");
        console.log("id User: " + vIdUser);
        console.log("id User: " + vName);
        var vLink = "DetailUpdate32.50.html";
        window.location.href = vLink + "?id=" + vIdUser;

    }
    function onBtnDelete() {
        var vLastName = $(this).data("lastname");
        var vSubject = $(this).data("subject");
        console.log("lastName: " + vLastName);
        console.log("Subject: " + vSubject);
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

    function onLoadDataUser(paramRes) {
        for (var bI = 0; bI < paramRes.length; bI++) {
            $("#table-user")
                .find("tbody")
                .append($("<tr/>")
                    .append($("<td/>")
                        .html(paramRes[bI].id)
                    )
                    .append($("<td/>")
                        .html(paramRes[bI].firstname)
                    )
                    .append($("<td/>")
                        .html(paramRes[bI].lastname)
                    )
                    .append($("<td/>")
                        .html(paramRes[bI].country)
                    )
                    .append($("<td/>")
                        .html(paramRes[bI].subject)
                    )
                    .append($("<td/>")
                        .html(paramRes[bI].customerType)
                    )
                    .append($("<td/>")
                        .html(paramRes[bI].registerStatus)
                    )
                    .append($("<td/>")
                        .append($("<button/>", {
                            html: "Sửa",
                            class: "btn btn-success mr-3 btn-update"
                        }

                        )
                            .data("userid", paramRes[bI].id)
                            .data("name", paramRes[bI].firstname)
                        )

                        .append($("<button/>")
                            .html("Xóa")
                            .addClass("btn btn-danger btn-delete")
                            .data("lastname", paramRes[bI].lastname)
                            .data("subject", paramRes[bI].subject)

                        )


                    )
                )
        }

    }


</script>

</html>